EC_NODE_DYNLIST(3)

NAME
ec_node_dynlist - Create a dynlist node.

SYNOPSIS
#include <ecoli/node_dynlist.h>

struct ec_node * ec_node_dynlist(
    const char                 *id,      /* The node identifier. */
    /*
     * The function that returns the list of object names as a string vector.
     */
    ec_node_dynlist_get_t       get,
    void                       *opaque,  /* A user pointer passed to the get function. */
    /*
     * The regular expression defining the valid pattern for object names.
     */
    const char                 *re_str,
    enum ec_node_dynlist_flags  flags    /* Customize parsing and completion behavior. */
);

DESCRIPTION

The parsing and completion depend on a list returned by a user-provided callback, a regular expression, and flags.

STRUCTURES

enum ec_node_dynlist_flags {

      DYNLIST_MATCH_LIST;

      DYNLIST_MATCH_REGEXP;

      DYNLIST_EXCLUDE_LIST;
};

RETURN VALUE

The dynlist grammar node, or NULL on error.

SEE ALSO

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.